<?php
##################################################################
# Script correction ajout matchs 								 #
##################################################################
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_drapeaux.php3");

//echo $SERVER_URL;
# pas de timeout possible qql soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé quel que soit l'état de la connection après
ignore_user_abort(true); 

# si aucune date n'a été entrée,on affiche la date actuelle dans les champs texte
$current_european_date = date("Y-m-d H:i:s", my_local_time());



// parcours de la table Matchs
$query = "SELECT * FROM Matchs WHERE MatchId > 23000";
$matchs = main_db_query($query);

while ($match = db_fetch_assoc($matchs)) {
	$MatchId = $match['MatchId'];
	// pour chaque match on vérifie que celui ci a une entrée dans la table MatchsStats
	$query = "SELECT * FROM MatchsStats WHERE MatchId = '".$MatchId."'";
	$rows = db_fetch_assoc(main_db_query($query));
	
	// si aucune ligne n'est retournée, on crée une entrée dans MatchsStats
	if ($rows == null) {
		// on regarde s'il y a eu des paris sur ce match dans Paris
		$query = "SELECT Bet FROM Paris WHERE MatchId = '".$MatchId."'";
		$bets = main_db_query($query);
		// parcours des paris sur le match correspondant
		$Win1 = 0;
		$Win2 = 0;
		$NullGame = 0;	
		while ($mybet = db_fetch_assoc($bets)) {		
			$Bet = explode('-', $mybet['Bet']);
			
			if ((int)$Bet[0] > (int)$Bet[1]) {
				// équipe 1 donnée gagnante
				$Win1 ++;
			}
			if ((int)$Bet[0] < (int)$Bet[1]) {
				// équipe 2 donnée gagnante
				$Win2 ++;
			}
			if ((int)$Bet[0] == (int)$Bet[1]) {
				// match nul
				$NullGame ++;
			}			
		}
		
		// on insert les données dans MatchsStats
		$query = "INSERT INTO MatchsStats (MatchId, Win1, Win2, NullGame) VALUES ('".$MatchId."', '".$Win1."', '".$Win2."', '".$NullGame."')";
		echo "<br/>".$query;
		main_db_query($query);
	}
}
?>